Create or replace a location priority limit profile
curl --request POST \
--url https://api.ridergy.com/v1/locations/{locationId}/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startTime": "2026-06-12T08:00:00Z",
"endTime": "2026-06-12T18:00:00Z",
"limitKw": 50,
"priority": 5
}
'import requests
url = "https://api.ridergy.com/v1/locations/{locationId}/schedules"
payload = {
"startTime": "2026-06-12T08:00:00Z",
"endTime": "2026-06-12T18:00:00Z",
"limitKw": 50,
"priority": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startTime: '2026-06-12T08:00:00Z',
endTime: '2026-06-12T18:00:00Z',
limitKw: 50,
priority: 5
})
};
fetch('https://api.ridergy.com/v1/locations/{locationId}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ridergy.com/v1/locations/{locationId}/schedules"
payload := strings.NewReader("{\n \"startTime\": \"2026-06-12T08:00:00Z\",\n \"endTime\": \"2026-06-12T18:00:00Z\",\n \"limitKw\": 50,\n \"priority\": 5\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ridergy.com/v1/locations/{locationId}/schedules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'startTime' => '2026-06-12T08:00:00Z',
'endTime' => '2026-06-12T18:00:00Z',
'limitKw' => 50,
'priority' => 5
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.ridergy.com/v1/locations/{locationId}/schedules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"startTime\": \"2026-06-12T08:00:00Z\",\n \"endTime\": \"2026-06-12T18:00:00Z\",\n \"limitKw\": 50,\n \"priority\": 5\n}")
.asString();{
"locationId": "3632155",
"priority": 5,
"limitKw": 50,
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"status": "SCHEDULED",
"permanentLimitKw": 100,
"effectiveLimitKw": 50
}Standorte
Standort-Prioritätslimit-Profil erstellen oder ersetzen
Erstellt ein zeitfensterbasiertes Leistungslimit-Profil für einen Standort mit der angegebenen Priorität. Existiert bereits ein Profil mit dieser Priorität für diesen Standort, wird es ersetzt. Das effektive Limit wird sofort neu berechnet und an den Standort durchgereicht.
POST
/
locations
/
{locationId}
/
schedules
Create or replace a location priority limit profile
curl --request POST \
--url https://api.ridergy.com/v1/locations/{locationId}/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startTime": "2026-06-12T08:00:00Z",
"endTime": "2026-06-12T18:00:00Z",
"limitKw": 50,
"priority": 5
}
'import requests
url = "https://api.ridergy.com/v1/locations/{locationId}/schedules"
payload = {
"startTime": "2026-06-12T08:00:00Z",
"endTime": "2026-06-12T18:00:00Z",
"limitKw": 50,
"priority": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startTime: '2026-06-12T08:00:00Z',
endTime: '2026-06-12T18:00:00Z',
limitKw: 50,
priority: 5
})
};
fetch('https://api.ridergy.com/v1/locations/{locationId}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ridergy.com/v1/locations/{locationId}/schedules"
payload := strings.NewReader("{\n \"startTime\": \"2026-06-12T08:00:00Z\",\n \"endTime\": \"2026-06-12T18:00:00Z\",\n \"limitKw\": 50,\n \"priority\": 5\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ridergy.com/v1/locations/{locationId}/schedules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'startTime' => '2026-06-12T08:00:00Z',
'endTime' => '2026-06-12T18:00:00Z',
'limitKw' => 50,
'priority' => 5
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.ridergy.com/v1/locations/{locationId}/schedules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"startTime\": \"2026-06-12T08:00:00Z\",\n \"endTime\": \"2026-06-12T18:00:00Z\",\n \"limitKw\": 50,\n \"priority\": 5\n}")
.asString();{
"locationId": "3632155",
"priority": 5,
"limitKw": 50,
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"status": "SCHEDULED",
"permanentLimitKw": 100,
"effectiveLimitKw": 50
}Autorisierungen
Body
application/json
Antwort
Profil erstellt/ersetzt

